#include "Test.h"
#include "TestReporterStdout.h"
#include "UnitTest++.h"
#include "bdmerror.h"
#include "itpp_ext.h"
#include <string.h>
#include "../general_suite.h"

using namespace UnitTest;

int main ( int argc, char const *argv[] ) {
    if ( argc > 1 ) {
        if ( !strcmp ( argv[1], "print" ) )
        {
            print_test_list();
            return 0;
        }
        else
            pick_selected_tests ( argc, argv );
    } else {
        cout << endl << "TESTSUITE - a program covering all BDM unit tests." << endl << endl
             << argv[0] << " ....................................... run all unit tests" << endl
             << argv[0] << " particular_test_1 particular_test_2 ... run selected unit tests" << endl
             << argv[0] << " print ................................. print all the implemented unit tests" << endl;
    }

    return run_selected_tests();
}
